org.springframework.data.jdbc.mybatis

## Interface NamespaceStrategy

    public interface NamespaceStrategy

A strategy to derive a MyBatis namespace from a domainType.

Author:
  Kazuki Shimizu, Jens Schauder

### Field Summary

Fields
`static NamespaceStrategy` `DEFAULT_INSTANCE`

### Method Summary

All Methods Instance Methods Default Methods
`default String` `getNamespace(Class<?> domainType)` Get a namespace that corresponds to the given domain type.

### Field Detail

#### DEFAULT_INSTANCE

    static final NamespaceStrategy DEFAULT_INSTANCE

### Method Detail

#### getNamespace

    default String getNamespace(Class<?> domainType)

Get a namespace that corresponds to the given domain type.

By default, the namespace is based on the class of the entity plus the suffix "Mapper".

Parameters:
  `domainType` - Must be non null.
Returns:
  a namespace that correspond domain type